# Uses of Class
org.apache.cxf.io.CachedOutputStream

Packages that use CachedOutputStream
Package
Description
org.apache.cxf.attachment
org.apache.cxf.feature.transform
org.apache.cxf.interceptor
org.apache.cxf.io

- ## Uses of CachedOutputStream in org.apache.cxf.attachment

  Methods in org.apache.cxf.attachment with parameters of type CachedOutputStream
  Modifier and Type
  Method
  Description
  `static void`
  AttachmentUtil.`setStreamedAttachmentProperties(Message message, CachedOutputStream bos)`

- ## Uses of CachedOutputStream in org.apache.cxf.feature.transform

  Methods in org.apache.cxf.feature.transform with parameters of type CachedOutputStream
  Modifier and Type
  Method
  Description
  `void`
  XSLTOutInterceptor.XSLTCachedOutputStreamCallback.`onClose(CachedOutputStream wrapper)`
  `void`
  XSLTOutInterceptor.XSLTCachedOutputStreamCallback.`onFlush(CachedOutputStream wrapper)`

- ## Uses of CachedOutputStream in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor with parameters of type CachedOutputStream
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractLoggingInterceptor.`writePayload(StringBuilder builder, CachedOutputStream cos, String encoding, String contentType, boolean truncated)`
  Deprecated.

- ## Uses of CachedOutputStream in org.apache.cxf.io

  Subclasses of CachedOutputStream in org.apache.cxf.io
  Modifier and Type
  Class
  Description
  `class`
  `CacheAndWriteOutputStream`
  This outputstream implementation will both write to the outputstream that is specified and cache the data at the same time.
  `class`
  `WriteOnCloseOutputStream`
  This outputstream implementation will cache the message until close() is called, at which point it will write the message to the OutputStream supplied via the constructor.
  Methods in org.apache.cxf.io with parameters of type CachedOutputStream
  Modifier and Type
  Method
  Description
  `void`
  CachedOutputStreamCallback.`onClose(CachedOutputStream os)`
  `void`
  CachedOutputStreamCallback.`onFlush(CachedOutputStream os)`